Subject: New gcc/binutils available for testing (TRY 2) -- fixes -mno-cygwin problem
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 15 Jun 2000 23:59:22 -0400

I've uploaded another new version of gcc and binutils to the URLs
mentioned below.  This version of gcc seems to address the issues raised
by Carl Thompson.  However, see also my response to Dale Goudey before
for more details about what I've done:

http://sourceware.cygnus.com/ml/cygwin/2000-06/msg00789.html

Please try this out and send observations to [email-masked].
There is no need to Cc me.  I read this group religiously.

cgf

On Thu, Jun 15, 2000 at 01:45:01AM -0400, cgf wrote:
>I've been pounding away on gcc and binutils for a day or so and I think
>I have something for people to try.  Here's what's new:
>
>(Note that the below strong positive statements indicating that
>something is fixed may well be wishful thinking.)
>
>- Elimination of the /tmp\foo errors from various binutils tools.
>  (Brought about by using a newer version of libiberty when building)
>
>- No more "impure_ptr" errors when compiling with -mno-cygwin.
>  (After exhaustive debugging)
>
>- No more linking of libm.a since libm.a is really libcygwin.a.
>  Patch from Ron Parker:
>  http://sourceware.cygnus.com/ml/cygwin/2000-06/msg00161.html
>
>- Enable -Bdynamic, -Bstatic and linking of dlls on the command line.
>  Patches from Chuck Wilson:
>  http://gcc.gnu.org/ml/gcc-patches/2000-05/msg00937.html
>  http://sourceware.cygnus.com/ml/binutils/2000-05/msg00340.html
>  http://sourceware.cygnus.com/ml/binutils/2000-05/msg00337.html
>
>- Proper searching of libraries and header files with -mno-cygwin.
>  Patch from Dale Goudey:
>  http://sourceware.cygnus.com/ml/cygwin/2000-06/msg00632.html
>
>- Defines -Dunix when -mno-cygwin is not specified.  This was discussed
>  on the Cygwin mailing list recently.  You should be able to undef
>  this by saying -Uunix if it causes problems.
>
>- Does not automatically define any WIN32 or WINNT environment variables
>  when -mno-win32 is specified.
>
>- Eliminates usr/i686-pc-cygwin/include files.
>
>- Fixes windres for correct handling of icons
>  Patch from DJ Delorie:
>  http://sourceware.cygnus.com/ml/binutils/2000-06/msg00216.html
>
>I think that's it.
>
>This is available for testing here:
>
>Binaries:
>ftp://ftp.cygnus.com/private/cgf/gcc-2.95.2-2.tar.gz
>ftp://ftp.cygnus.com/private/cgf/binutils-19990818-2.tar.gz
>
>Sources:
>ftp://ftp.cygnus.com/private/cgf/gcc-2.95.2-2-src.tar.gz
>ftp://ftp.cygnus.com/private/cgf/binutils-19990818-2-src.tar.gz
>
>You should be able to install these by downloading the files to an EMPTY
>DIRECTORY, copying a recent 'setup.exe' there and typing 'setup'. Obviously
>you will have to choose the "install from the current directory" option.
>
>Beware: I have not yet tried this on Windows 95 and I have done only
>very minimal testing on Windows NT.
>
>Please send success or bug reports to [email-masked] .
>If I get enough success reports, I'll install this on sourceware.
>
>cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]